For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task lists of the project with the specified id.
      • POSTCreates a new task list.
      • GETReturns the task list with the specified id.
      • PUTUpdates the task list with the specified id.
      • POSTAdds the tasks to the task list with the specified id.
      • POSTChanges the project of the task list with the specified id.
      • POSTCreates a copy of the task list.
      • POSTDeletes the task list with the specified id.
      • POSTRemoves the tasks from the task list with the specified id.
      • POSTArchives or unarchives the task list with the specified id.
      • GETReturns the task with the specified id in the task list with the specified id.
      • POSTUpdates the order of a task in a task list.
      • POSTUpdates the order of the task list with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Lists

Archives or unarchives the task list with the specified id.

POST
https://api.awork.com/api/v1/projects/:projectId/tasklists/:taskListId/setarchived
POST
/api/v1/projects/:projectId/tasklists/:taskListId/setarchived
$curl -X POST https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
3 "createdOn": "2023-11-10T09:15:00Z",
4 "createdBy": "a3f1c9e2-4b7d-4f8a-9c2e-1d2f3b4a5c6d",
5 "updatedOn": "2024-04-20T14:45:00Z",
6 "updatedBy": "b2d3e4f5-6a7b-8c9d-0e1f-2a3b4c5d6e7f",
7 "name": "Product and Marketing To-Dos",
8 "order": 2,
9 "plannedDuration": 3600,
10 "totalPlannedDuration": 14400,
11 "totalPlannedDurationWithHierarchy": 21600,
12 "isArchived": false,
13 "isHiddenForConnectUsers": true,
14 "trackedDuration": 7200
15}
Archives or unarchives the task list with the specified id. An archived task list still exists but is not editable anymore. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns the task with the specified id in the task list with the specified id.

Next
Built with

Archives or unarchives the task list with the specified id. An archived task list still exists but is not editable anymore.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
taskListIdstringRequiredformat: "uuid"
The id of the task list.

Request

The archived Task List form.
isArchivedbooleanOptional
Flags the entity as archived.
taskOperationstring or nullOptional

The operation for tasks which are not yet done. The operation is required if you set a list to archived. Can be: task-to-done: Set tasks to ‘Done’ or the first status of type ‘done’. task-remove: Remove tasks from this task list. task-move: Move tasks to another list. task-delete: Deletes the non done tasks.

taskListIdstring or nullOptionalformat: "uuid"

The id of the task list where all non done tasks should moved to. Only necessary if TaskOperation is set to ‘task-move’.

deleteTimeTrackingsboolean or nullOptional

Set to true to delete also the related time trackings of all non done tasks. Only necessary if TaskOperation is set to ‘task-delete’.

Response

OK
idstringformat: "uuid"
The id of the task list.
createdOnstringformat: "date-time"
The date this task list was created.
createdBystringformat: "uuid"
The id of the user who created this task list.
updatedOnstringformat: "date-time"
The date this task list was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task list.
namestring or null
The name of the list.
orderdouble or null
The order of the list.
plannedDurationinteger or null
The planned duration for this task list, in seconds.
totalPlannedDurationlong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchylong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedboolean
Whether the task list has been archived.
isHiddenForConnectUsersboolean
True if the task in this list will be not visible for external workspace users. False otherwise.
trackedDurationinteger

The total duration of time trackings for tasks in this task list, in seconds. Includes both billable and non-billable time trackings. Backend-calculated property. When hierarchy feature flag is enabled: only tasks with PrimaryTaskListId == this list. When hierarchy feature flag is disabled: all tasks associated with this list.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error